
Name:    kdeedu-data
Summary: Shared icons, artwork and data files for educational applications
Version: 15.04.0
Release: 1%{?dist}

License: GPLv2
URL:     https://projects.kde.org/projects/kde/kdeedu/kdeedu-data
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildArch: noarch

BuildRequires: kde-filesystem
BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros

# when kdeedu-data was split out from libkdeedu, upgrade path
Obsoletes: libkdeedu < 14

Requires: hicolor-icon-theme
Requires: kde-filesystem

%description
%{summary}.


%prep
%setup -q


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# previous packages shipped %%{_kde4_appsdir}/kvtml , so let's
# (hard)link data in in both places
mkdir -p %{buildroot}%{_kde4_appsdir}
cp -alf \
   %{buildroot}%{_kf5_datadir}/apps/kvtml/ \
   %{buildroot}%{_kde4_appsdir}


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi


%files
%{_kde4_appsdir}/kvtml/
%{_kf5_datadir}/apps/kvtml/
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Tue Apr 14 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.04.0-1
- 15.04.0

* Sun Mar 01 2015 Rex Dieter <rdieter@fedoraproject.org> - 14.12.3-1
- 14.12.3

* Tue Feb 24 2015 Than Ngo <than@redhat.com> - 14.12.2-1
- 14.12.2

* Thu Jan 29 2015 Rex Dieter <rdieter@fedoraproject.org> 14.12.1-4
- use (hard)links instead

* Mon Jan 26 2015 Rex Dieter <rdieter@fedoraproject.org> 14.12.1-3
- Obsoletes: libkdeedu < 14

* Fri Jan 23 2015 Rex Dieter <rdieter@fedoraproject.org> 14.12.1-2
- Requires: hicolor-icon-theme
- use %%setup -q

* Fri Jan 16 2015 Rex Dieter <rdieter@fedoraproject.org>  14.12.1-1
- 14.12.1

